Bug 98745 - pam_shells does not accept empty shell field in /etc/passwd
pam_shells does not accept empty shell field in /etc/passwd
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-08 10:02 EDT by Andreas Luik
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 10:08:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Luik 2003-07-08 10:02:29 EDT
Description of problem:
According to the README.pam_shells file, if a login has an empty
shell field in /etc/passwd, "/bin/sh" is used.  Although we
have "/bin/sh" in our /etc/shells file, ftp logins are denied by
pam_shells when the login does not have a shell assigned in /etc
passwd.  Everything works well, when /etc/passwd is changed to list
"/bin/sh" (or "/bin/bash") in /etc/passwd.

How reproducible: always


Steps to Reproduce:
1. create login "x1" with empty shell field in /etc/passwd
2. try to "ftp machine" using login "x1"
3. observe, that it is not possible to login with ftp
4. it is possible to login with telnet, though
5. if the shell field in /etc/passwd is changed to "/bin/sh", ftp login is
allowed
Comment 1 Tomas Mraz 2005-02-04 10:08:30 EST
The README was modified to reflect the reality in the upstream CVS.

Note You need to log in before you can comment on or make changes to this bug.